Magick::ErrorDraw Class Reference

`#include <Exception.h>`

Inheritance diagram for Magick::ErrorDraw:
[legend]
Collaboration diagram for Magick::ErrorDraw:
[legend]

## Public Member Functions

| ErrorDraw (const std::string &what_)
| ErrorDraw (const std::string &what_, Exception *nested_)
| ~ErrorDraw () throw ()
Public Member Functions inherited from Magick::Error
| Error (const std::string &what_)
| Error (const std::string &what_, Exception *nested_)
| ~Error () throw ()
Public Member Functions inherited from Magick::Exception
| Exception (const std::string &what_)
| Exception (const std::string &what_, Exception *nested_)
| Exception (const Exception &original_)
virtual | ~Exception () throw ()
Exception & | operator= (const Exception &original_)
virtual const char * | what () const throw ()
const Exception * | nested () const throw ()
void | nested (Exception *nested_) throw ()

## Detailed Description

Definition at line 122 of file Exception.h.

## Constructor & Destructor Documentation

## ErrorDraw() [1/2]

Magick::ErrorDraw::ErrorDraw | ( | const std::string & | what_ | ) |

explicit

Definition at line 174 of file Exception.cpp.

## ErrorDraw() [2/2]

Magick::ErrorDraw::ErrorDraw | ( | const std::string & | what_,
|  | Exception * | nested_
| ) |  |

explicit

Definition at line 179 of file Exception.cpp.

## ~ErrorDraw()

Magick::ErrorDraw::~ErrorDraw | ( |  | ) |
throw | ( |
| ) |  |

Definition at line 184 of file Exception.cpp.

The documentation for this class was generated from the following files:

- Exception.h
- Exception.cpp